### Hierarchy

- Rating

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- eventFactory
- ratedProcessNode
- ratingButtons
- ratingContainer
- selectedRatingButtonType
- spec
- TYPE

### Methods

- getScoreOfClickedButton
- ratingButtonOnClick
- render
- renderRatingButton

## Constructors

### constructor

- new Rating(message: ISpecification, ratedProcessNode: ProcessNode, eventFactory: EventFactory): Rating

- - Defined in lib/renderable/rating/index.ts:28

  #### Parameters

  - ##### message: ISpecification

  - ##### ratedProcessNode: ProcessNode

  - ##### eventFactory: EventFactory

  #### Returns Rating

## Properties

### Private eventFactory

eventFactory: EventFactory

- Defined in lib/renderable/rating/index.ts:24

### Private ratedProcessNode

ratedProcessNode: ProcessNode

- Defined in lib/renderable/rating/index.ts:23

### Private ratingButtons

ratingButtons: Map<RatingButtonType, RatingButton>

- Defined in lib/renderable/rating/index.ts:27

### Private ratingContainer

ratingContainer: INode

- Defined in lib/renderable/rating/index.ts:26

### Private selectedRatingButtonType

selectedRatingButtonType: RatingButtonType

- Defined in lib/renderable/rating/index.ts:28

### Private spec

spec: ISpecification

- Defined in lib/renderable/rating/index.ts:22

### Static TYPE

TYPE: "rating" = "rating"

- Defined in lib/renderable/rating/index.ts:20

## Methods

### Private getScoreOfClickedButton

- getScoreOfClickedButton(): string

- - Defined in lib/renderable/rating/index.ts:115

  #### Returns string

### Private ratingButtonOnClick

- ratingButtonOnClick(buttonType: RatingButtonType, commentForm: INode): void

- - Defined in lib/renderable/rating/index.ts:105

  #### Parameters

  - ##### buttonType: RatingButtonType

  - ##### commentForm: INode

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/rating/index.ts:42

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private renderRatingButton

- renderRatingButton(): void

- - Defined in lib/renderable/rating/index.ts:52

  #### Returns void

Generated using TypeDoc